using System;

class main
{
  static void Main()
  {
    var s = Console.ReadLine().Split();
    var n = Int64.Parse(s[0]);
    var m = Int64.Parse(s[1]);
    if (n == 1 && m==1)
        Console.WriteLine(1);
    else
        Console.WriteLine((n + m + (n * m)/2 - 2));
  }
}